//---------------------------------------------------------------------------
#include <vcl.h>
#include <windows.h>
#pragma hdrstop

#include "Unit1.h"
#include "PIODA.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cspin"
#pragma link "CSPIN"
#pragma resource "*.dfm"

Word  wInitialCode,  wRtn ;
Word  wSet, wTotalBoards;
Word  wSelectBoard;

TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
    DWORD j;

    wSelectBoard = (WORD) StrToInt( eSelectBoard->Text );

    ListBox1->Items->Clear();
    ListBox1->Items->Add( "" );

    ListBox1->Items->Add( "Output 0x0000 to DO" );
    PIODA_DO((WORD)wSelectBoard, 0x0);
    PIODA_DI((WORD)wSelectBoard, &j);
    ListBox1->Items->Add( "Input from DI = 0x" + IntToHex((int)j,4));

    ListBox1->Items->Add( "" );
    ListBox1->Items->Add( "Output 0xFFFF to DO" );
    PIODA_DO((WORD)wSelectBoard, 0xFFFF);
    PIODA_DI((WORD)wSelectBoard, &j);
    ListBox1->Items->Add( "Input from DI = 0x" + IntToHex((int)j,4));

    ListBox1->Items->Add( "" );
    ListBox1->Items->Add( "Output 0xAAAA to DO" );
    PIODA_DO((WORD)wSelectBoard, 0xAAAA);
    PIODA_DI((WORD)wSelectBoard, &j);
    ListBox1->Items->Add( "Input from DI = 0x" + IntToHex((int)j,4));


    ListBox1->Items->Add( "" );
    ListBox1->Items->Add( "Output 0x5555 to DO" );
    PIODA_DO((WORD)wSelectBoard, 0x5555);
    PIODA_DI((WORD)wSelectBoard, &j);
    ListBox1->Items->Add( "Input from DI = 0x" + IntToHex((int)j,4));
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
    //********************************************************************
    //* NOTICE: call PIODA_DriverInit() to initialize the driver.        *
    //********************************************************************

    wInitialCode = PIODA_DriverInit();
    wTotalBoards = 0 ;
    Button1->Caption = "Active";
    if ( wInitialCode != PIODA_NoError )
    {
        ShowMessage( "Driver Initialize Error!!") ;
        Button1->Enabled = False;
        return;
    }
    else
        Button1->Enabled = True;

    wRtn = PIODA_SearchCard( &wTotalBoards, PIO_DA );
    if ( wRtn != PIODA_NoError )
    {
        ShowMessage( "Search Card Error!!\nError Code:" + IntToStr(wRtn) );
        Button1->Enabled = False;
    }

    eSelectBoard->Text  = "0";
    eTotalBoards->Text  = IntToStr(wTotalBoards);
    if ( wTotalBoards < 2 ) eSelectBoard->Enabled = False;
    eSelectBoard->MaxValue = wTotalBoards - 1;
    eSelectBoard->MinValue = 0;

}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
      PIODA_DriverClose();
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Button2Click(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------


