
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ListBox1: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    eTotalBoards: TEdit;
    eSelectBoard: TEdit;
    UpDown1: TUpDown;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses PIODA;

{$R *.DFM}

Var
    wInitialCode,  wRtn : Word;
    wTotalBoards        : Word;
    wSelectBoard        : Word;

procedure TForm1.Button1Click(Sender: TObject);
var
    j : LongInt;
begin

    wSelectBoard := StrToInt( eSelectBoard.Text );

    ListBox1.Items.Clear();

    ListBox1.Items.Add( '' );
    ListBox1.Items.Add( 'Output $0000 to DO' );
    PIODA_DO(wSelectBoard, $0);
    PIODA_DI(wSelectBoard, j );
    ListBox1.Items.Add( 'Input from DI = $' + IntToHex(j,4));

    ListBox1.Items.Add( '' );
    ListBox1.Items.Add( 'Output $FFFF to DO' );
    PIODA_DO(wSelectBoard, $FFFF);
    PIODA_DI(wSelectBoard, j);
    ListBox1.Items.Add( 'Input from DI = $' + IntToHex(j,4));

    ListBox1.Items.Add( '' );
    ListBox1.Items.Add( 'Output $AAAA to DO' );
    PIODA_DO(wSelectBoard, $AAAA);
    PIODA_DI(wSelectBoard, j);
    ListBox1.Items.Add( 'Input from DI = $' + IntToHex(j,4));

    ListBox1.Items.Add( '' );
    ListBox1.Items.Add( 'Output $5555 to DO' );
    PIODA_DO(wSelectBoard, $5555);
    PIODA_DI(wSelectBoard, j);
    ListBox1.Items.Add( 'Input from DI = $' + IntToHex(j,4));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     Close();
end;

procedure TForm1.FormCreate(Sender: TObject);
begin

    wInitialCode := PIODA_DriverInit();
    wTotalBoards := 0 ;
    Button1.Caption := 'Active';
    if ( wInitialCode <> PIODA_NoError ) then
    begin
        ShowMessage( 'Driver Initialize Error!!') ;
        Button1.Enabled := False;
        exit;
    end
    else
        Button1.Enabled := True;

    wRtn := PIODA_SearchCard( wTotalBoards, PIO_DA );
    if ( wRtn <> PIODA_NoError ) then
    begin
        ShowMessage( 'Search Card Error!!' + #13 + 'Error Code:' + IntToStr(wRtn) );
        Button1.Enabled := False;
    end;

    eSelectBoard.Text := '0';
    eTotalBoards.Text := IntToStr(wTotalBoards);
    Updown1.Max := wTotalBoards - 1;
    Updown1.Min := 0;

end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     PIODA_DriverClose();
end;


end.
