//---------------------------------------------------------------------------
#include <vcl.h>
#include <windows.h>
#pragma hdrstop

#include "Unit1.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cspin"
#pragma link "CSPIN"
#pragma link "PIODAXLib_OCX"
#pragma resource "*.dfm"

Word  wInitialCode,  wRtn ;
Word  wSet, wTotalBoards;
Word  wSelectBoard;

TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
    int j;

    wSelectBoard = (WORD) StrToInt( eSelectBoard->Text );

    ListBox1->Items->Clear();
    ListBox1->Items->Add( "" );

    ListBox1->Items->Add( "Output 0x0000 to DO" );
    PIODAX1->DigitalOut(0x0);
    j=PIODAX1->DigitalIn();
    ListBox1->Items->Add( "Input from DI = 0x" + IntToHex(j,4));

    ListBox1->Items->Add( "" );
    ListBox1->Items->Add( "Output 0xFFFF to DO" );
    PIODAX1->DigitalOut(0xFFFF);
    j=PIODAX1->DigitalIn();
    ListBox1->Items->Add( "Input from DI = 0x" + IntToHex(j,4));

    ListBox1->Items->Add( "" );
    ListBox1->Items->Add( "Output 0xAAAA to DO" );
    PIODAX1->DigitalOut(0xAAAA);
    j=PIODAX1->DigitalIn();
    ListBox1->Items->Add( "Input from DI = 0x" + IntToHex(j,4));


    ListBox1->Items->Add( "" );
    ListBox1->Items->Add( "Output 0x5555 to DO" );
    PIODAX1->DigitalOut(0x5555);
    j=PIODAX1->DigitalIn();
    ListBox1->Items->Add( "Input from DI = 0x" + IntToHex(j,4));
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
    //********************************************************************
    //* NOTICE: call PIODA_DriverInit() to initialize the driver.        *
    //********************************************************************

    wTotalBoards = PIODAX1->DriverInit();
    Button1->Caption = "Active";

        Button1->Enabled = True;


    eSelectBoard->Text  = "0";
    eTotalBoards->Text  = IntToStr(wTotalBoards);
    if ( wTotalBoards < 2 ) eSelectBoard->Enabled = False;
    eSelectBoard->MaxValue = wTotalBoards - 1;
    eSelectBoard->MinValue = 0;

}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
      PIODAX1->DriverClose();
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Button2Click(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------


void __fastcall TForm1::PIODAX1Error(TObject *Sender, short lErrorCode)
{
ShowMessage("Error Code:" + IntToStr(lErrorCode)+"\n"+ "Error Message :" + PIODAX1->ErrorString);    
}
//---------------------------------------------------------------------------

