
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, OleCtrls, PIODAXLib_TLB;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Timer1: TTimer;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    CheckBox8: TCheckBox;
    CheckBox9: TCheckBox;
    CheckBox10: TCheckBox;
    CheckBox11: TCheckBox;
    CheckBox12: TCheckBox;
    CheckBox13: TCheckBox;
    CheckBox14: TCheckBox;
    CheckBox15: TCheckBox;
    CheckBox16: TCheckBox;
    Label3: TLabel;
    Label4: TLabel;
    Shape1: TShape;
    Psp0: TShape;
    Shape3: TShape;
    Psp1: TShape;
    Shape5: TShape;
    Psp2: TShape;
    Shape7: TShape;
    Psp3: TShape;
    Shape9: TShape;
    Psp4: TShape;
    Shape11: TShape;
    Psp5: TShape;
    Shape13: TShape;
    Psp6: TShape;
    Shape15: TShape;
    Psp7: TShape;
    Shape17: TShape;
    Psp8: TShape;
    Shape19: TShape;
    Psp9: TShape;
    Shape21: TShape;
    PspA: TShape;
    Shape23: TShape;
    PspB: TShape;
    Shape25: TShape;
    PspC: TShape;
    Shape27: TShape;
    PspD: TShape;
    Shape29: TShape;
    PspE: TShape;
    Shape31: TShape;
    PspF: TShape;
    Label5: TLabel;
    Label6: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    eTotalBoards: TEdit;
    eSelectBoard: TEdit;
    UpDown1: TUpDown;
    PIODAX1: TPIODAX;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CheckBox1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure PIODAX1Error(Sender: TObject; lErrorCode: Smallint);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

Var
    wSet, wTotalBoards  : Word;
    wSelectBoard        : Word;

procedure TForm1.Button1Click(Sender: TObject);
begin
    If Button1.Caption = 'Active' Then
    begin

        wSelectBoard := StrToInt( eSelectBoard.TExt );
        piodax1.ActiveBoard :=wSelectBoard;

        CheckBox1Click( CheckBox1 );
        CheckBox1Click( CheckBox1 );
        Button1.Caption   := 'Stop';
        Timer1.Enabled    := True;
        Button2.Enabled   := False;
        Groupbox1.Enabled := True;
    end
    Else
    begin
        Button1.Caption   := 'Active';
        Timer1.Enabled    := False;
        Button2.Enabled   := True;
        Groupbox1.Enabled := False;
    End;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     Close();
end;

procedure TForm1.FormCreate(Sender: TObject);
begin

    wTotalBoards :=PIODAX1.DriverInit();
    Button1.Caption := 'Active';
    Button1.Enabled := True;

    eSelectBoard.Text := '0';
    eTotalBoards.Text :=IntToStr(wTotalBoards);
    Updown1.Max := wTotalBoards - 1;
    Updown1.Min := 0;

end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     Timer1.Enabled := False;
     PIODAX1.DriverClose();
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
    if (Sender As TCheckBox).Checked then
       wSet := wSet or (1 shl (Sender As TCheckBox).Tag)
    else
        wSet := wSet and (Not(1 shl (Sender As TCheckBox).Tag));
    PIODAX1.DigitalOut(wSet);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
Var
   i : integer;
   j : LongInt;

begin
     j:=PIODAX1.DigitalIn();

    For I := 0 To 15 do
        if ( J and (1 shl i)) <> 0 then
            (FindComponent('PSp' + IntToHex(i,1)) As TShape).Brush.Color := clRed
        else
            (FindComponent('PSp' + IntToHex(i,1)) As TShape).Brush.Color := clBlack;
end;


procedure TForm1.PIODAX1Error(Sender: TObject; lErrorCode: Smallint);
begin
ShowMessage('Error Code:' + IntToStr(lErrorCode)+#13+ 'Error Message :' + PIODAX1.ErrorString);
end;

end.
