VERSION 5.00
Object = "{40680883-AFA6-11D6-B745-0050BACCDC45}#1.0#0"; "PIODAX.ocx"
Begin VB.Form Form1 
   BackColor       =   &H00808000&
   Caption         =   "DI/DO Demo"
   ClientHeight    =   4440
   ClientLeft      =   3240
   ClientTop       =   2325
   ClientWidth     =   5235
   LinkTopic       =   "Form1"
   ScaleHeight     =   4440
   ScaleWidth      =   5235
   Begin PIODAXLib.PIODAX PIODAX1 
      Left            =   2400
      Top             =   3600
      _Version        =   65536
      _ExtentX        =   661
      _ExtentY        =   661
      _StockProps     =   0
   End
   Begin VB.VScrollBar VScroll1 
      Height          =   372
      Left            =   4320
      TabIndex        =   5
      Top             =   360
      Width           =   252
   End
   Begin VB.TextBox eSelectBoard 
      Alignment       =   1  'Right Justify
      BackColor       =   &H00C0FFC0&
      Height          =   372
      Left            =   3840
      TabIndex        =   4
      Text            =   "0"
      Top             =   360
      Width           =   492
   End
   Begin VB.TextBox eTotalBoards 
      Alignment       =   1  'Right Justify
      BackColor       =   &H00C0FFFF&
      Enabled         =   0   'False
      Height          =   288
      Left            =   1440
      TabIndex        =   3
      Text            =   "0"
      Top             =   360
      Width           =   612
   End
   Begin VB.ListBox List1 
      BackColor       =   &H0080FFFF&
      Height          =   2595
      ItemData        =   "Form1.frx":0000
      Left            =   360
      List            =   "Form1.frx":0007
      TabIndex        =   2
      Top             =   840
      Width           =   4332
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Active"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   360
      TabIndex        =   1
      Top             =   3720
      Width           =   1332
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Exit"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   10.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   3360
      TabIndex        =   0
      Top             =   3720
      Width           =   1332
   End
   Begin VB.Label Label1 
      BackColor       =   &H00808000&
      Caption         =   "Total Boards : "
      ForeColor       =   &H00FFFFFF&
      Height          =   255
      Left            =   360
      TabIndex        =   7
      Top             =   360
      Width           =   1095
   End
   Begin VB.Label Label14 
      BackColor       =   &H00808000&
      Caption         =   "Active Board"
      ForeColor       =   &H00FFFFFF&
      Height          =   255
      Left            =   2760
      TabIndex        =   6
      Top             =   360
      Width           =   975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim wInitialCode As Integer
Dim wRtn As Integer
Dim wSet As Integer, wTotalBoards As Integer
Dim wSelectBoard As Integer

Private Sub Command1_Click()
    PIODAX1.DriverClose
    End
End Sub

Private Sub Command2_Click()
     Dim j1 As Long, j2 As Long
     Dim i As Integer

     wSelectBoard = Val(eSelectBoard.Text)
     
     List1.Clear

     For i = 0 To 15
         List1.AddItem ""
         j1 = 1 * (2 ^ i)
         List1.AddItem "Digital Output = &h" + Hex(j1)
         PIODAX1.DigitalOut j1
         
         List1.AddItem "Digital Input = &h" + Hex(PIODAX1.DigitalIn)
     Next
     
     List1.AddItem ""
     j1 = 0
     List1.AddItem "Digital Output = &h" + Hex(j1)
     PIODAX1.DigitalOut j1
     
     List1.AddItem "Digital Input = &h" + Hex(PIODAX1.DigitalIn)
     
     List1.AddItem ""
     j1 = &H5555&
     List1.AddItem "Digital Output = &h" + Hex(j1)
     PIODAX1.DigitalOut j1
     
     List1.AddItem "Digital Input = &h" + Hex(PIODAX1.DigitalIn)
     
     List1.AddItem ""
     j1 = &HAAAA&
     List1.AddItem "Digital Output = &h" + Hex(j1)
     PIODAX1.DigitalOut j1
     
     List1.AddItem "Digital Input = &h" + Hex(PIODAX1.DigitalIn)
     
     List1.AddItem ""
     j1 = &HFFFF&
     List1.AddItem "Digital Output = &h" + Hex(j1)
     PIODAX1.DigitalOut j1
     
     List1.AddItem "Digital Input = &h " + Hex(PIODAX1.DigitalIn)
     
End Sub

Private Sub Command3_Click()
Dim i As Integer
For i = 0 To 63
Print PIODAX1.EEPRead(0, i)
Next i
End Sub

Private Sub Form_Load()
    Move (Screen.Width - Width) \ 2, (Screen.Height - Height) \ 2
    
    '********************************************************************
    '* NOTICE: call PIODA_DriverInit() to initialize the driver.        *
    '* Initial the device driver, and return the board number in the PC *
    '********************************************************************
    wTotalBoards = PIODAX1.DriverInit
    Command2.Caption = "Active"
    
   
    
    eTotalBoards.Text = wTotalBoards
    VScroll1.Min = wTotalBoards - 1
    VScroll1.Max = 0
    VScroll1.Value = 0
   
End Sub

Private Sub PIODAX1_OnError(ByVal lErrorCode As Integer)
MsgBox "Error Code:" + Str(lErrorCode) + Chr(13) + "Error Message : " + PIODAX1.ErrorString
End Sub

Private Sub VScroll1_Change()
    eSelectBoard.Text = Str(VScroll1.Value)
End Sub
