//---------------------------------------------------------------------------
#include <vcl.h>
#include <windows.h>
#pragma hdrstop

#include "Unit1.h"
#include "PIODA.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cspin"
#pragma link "CSPIN"
#pragma resource "*.dfm"

Word  wInitialCode,  wRtn ;
Word  wSet, wTotalBoards;
Word  wSelectBoard;

TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
    if (Button1->Caption == "Active")
    {
        wSelectBoard = (WORD) StrToInt( eSelectBoard->Text );

        CheckBox1Click( CheckBox1 );
        CheckBox1Click( CheckBox1 );
        Button1->Caption   = "Stop";
        Button2->Enabled   = False;
        Timer1->Enabled    = True;
        GroupBox1->Enabled = True;
    }
    else
    {
        Button1->Caption   = "Active";
        Button2->Enabled   = True;
        Timer1->Enabled    = False;
        GroupBox1->Enabled = False;
    };
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
    //********************************************************************
    //* NOTICE: call PIODA_DriverInit() to initialize the driver.        *
    //********************************************************************

    wInitialCode = PIODA_DriverInit();
    wTotalBoards = 0 ;
    Button1->Caption = "Active";
    if ( wInitialCode != PIODA_NoError )
    {
        ShowMessage( "Driver Initialize Error!!") ;
        Button1->Enabled = False;
        return;
    }
    else
        Button1->Enabled = True;

    wRtn = PIODA_SearchCard( &wTotalBoards, PIO_DA );
    if ( wRtn != PIODA_NoError )
    {
        ShowMessage( "Search Card Error!!\nError Code:" + IntToStr(wRtn) );
        Button1->Enabled = False;
    }

    eSelectBoard->Text  = "0";
    eTotalBoards->Text  = IntToStr(wTotalBoards);
    if ( wTotalBoards < 2 ) eSelectBoard->Enabled = False;
    eSelectBoard->MaxValue = wTotalBoards - 1;
    eSelectBoard->MinValue = 0;

}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
      Timer1->Enabled = False;
      PIODA_DriverClose();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox1Click(TObject *Sender)
{
    if ( ((TCheckBox*)Sender)->Checked )
       wSet = wSet | (Word)(1 << ((TCheckBox*)Sender)->Tag);
    else
       wSet = wSet & (Word)( ~(1 << ((TCheckBox*)Sender)->Tag));
    PIODA_DO( (WORD)wSelectBoard , wSet);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
   int i;
   DWORD j;

   PIODA_DI((WORD)wSelectBoard, &j);

   for (i=0;i<16;i++)
        if (( j & (1 << i)) != 0)
            ((TShape*)( FindComponent("PSp"+IntToHex(i,1)) ))->Brush->Color = clRed;
        else
            ((TShape*)( FindComponent("PSp"+IntToHex(i,1)) ))->Brush->Color = clBlack;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button2Click(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------


