
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Menus;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    eTotalBoards: TEdit;
    eSelectBoard: TEdit;
    UpDown1: TUpDown;
    GroupBox1: TGroupBox;
    gbDA1: TGroupBox;
    eOut0: TEdit;
    eOut1: TEdit;
    eOut2: TEdit;
    eOut3: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    gbDA2: TGroupBox;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    eOut4: TEdit;
    eOut5: TEdit;
    eOut6: TEdit;
    eOut7: TEdit;
    gbDA34: TGroupBox;
    gbDA3: TGroupBox;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    eOut8: TEdit;
    eOut9: TEdit;
    eOut10: TEdit;
    eOut11: TEdit;
    gbDA4: TGroupBox;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    eOut12: TEdit;
    eOut13: TEdit;
    eOut14: TEdit;
    eOut15: TEdit;
    gbDO: TGroupBox;
    Label27: TLabel;
    Label28: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    CheckBox8: TCheckBox;
    CheckBox9: TCheckBox;
    CheckBox10: TCheckBox;
    CheckBox11: TCheckBox;
    CheckBox12: TCheckBox;
    CheckBox13: TCheckBox;
    CheckBox14: TCheckBox;
    CheckBox15: TCheckBox;
    CheckBox16: TCheckBox;
    GroupBox8: TGroupBox;
    Shape1: TShape;
    Psp0: TShape;
    Shape3: TShape;
    Psp1: TShape;
    Shape5: TShape;
    Psp2: TShape;
    Shape7: TShape;
    Psp3: TShape;
    Shape9: TShape;
    Psp4: TShape;
    Shape11: TShape;
    Psp5: TShape;
    Shape13: TShape;
    Psp6: TShape;
    Shape15: TShape;
    Psp7: TShape;
    Shape17: TShape;
    Psp8: TShape;
    Shape19: TShape;
    Psp9: TShape;
    Shape21: TShape;
    PspA: TShape;
    Shape23: TShape;
    PspB: TShape;
    Shape25: TShape;
    PspC: TShape;
    Shape27: TShape;
    PspD: TShape;
    Shape29: TShape;
    PspE: TShape;
    Shape31: TShape;
    PspF: TShape;
    Label31: TLabel;
    cbCardType: TComboBox;
    Timer1: TTimer;
    MainMenu1: TMainMenu;
    miFile: TMenuItem;
    Exit1: TMenuItem;
    EEPROM1: TMenuItem;
    WriteToFile1: TMenuItem;
    RestoreFromFile1: TMenuItem;
    Active1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    cbVolCur0: TComboBox;
    cbVolCur1: TComboBox;
    cbVolCur2: TComboBox;
    cbVolCur3: TComboBox;
    cbVolCur7: TComboBox;
    cbVolCur6: TComboBox;
    cbVolCur5: TComboBox;
    cbVolCur4: TComboBox;
    cbVolCur11: TComboBox;
    cbVolCur10: TComboBox;
    cbVolCur9: TComboBox;
    cbVolCur8: TComboBox;
    cbVolCur15: TComboBox;
    cbVolCur14: TComboBox;
    cbVolCur13: TComboBox;
    cbVolCur12: TComboBox;
    Label32: TLabel;
    Label33: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure cbCardTypeChange(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Active1Click(Sender: TObject);
    procedure WriteToFile1Click(Sender: TObject);
    procedure RestoreFromFile1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses PIODA;

{$R *.DFM}

Var
    wInitialCode,  wRtn             : Word;
    wTotalBoards                    : Word;
    wSelectBoard                    : Word;
    wTotalChannels                  : Integer;
    wSet                            : Word;
    bProcessing                     : Boolean;

procedure TForm1.FormCreate(Sender: TObject);
var
    i       : integer;
    sCbName : String;
begin

    cbCardType.ItemIndex := 2;
    cbCardTypeChange( Sender );
    wTotalBoards         := 0 ;
    Active1.Caption      := 'Active';

    wInitialCode := PIODA_DriverInit();
    if ( wInitialCode <> PIODA_NoError ) then
    begin
        ShowMessage( 'Driver Initialize Error!!') ;
        Active1.Enabled := False;
        exit;
    end
    else
        Active1.Enabled := True;

    wRtn := PIODA_SearchCard( wTotalBoards, PIO_DA );
    if ( wRtn <> PIODA_NoError ) then
    begin
        ShowMessage( 'Search Card Error!!' + #13 + 'Error Code:' + IntToStr(wRtn) );
        Active1.Enabled := False;
    end;

    // Initialize the method(Voltage/Current) to 0:Voltage Output
    for i := 0 to 15 do
    begin
        sCbName := 'cbVolCur' + IntToStr(i);
        (FindComponent( sCbName ) As TComboBox).ItemIndex := 0;
    end;

    eSelectBoard.Text := '0';
    eTotalBoards.Text := IntToStr(wTotalBoards);
    Updown1.Max       := wTotalBoards - 1;
    Updown1.Min       := 0;


end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     Timer1.Enabled := False;
     PIODA_DriverClose();
end;

procedure TForm1.cbCardTypeChange(Sender: TObject);
begin
     case ( cbCardType.ItemIndex ) of
     0: begin                         // PIO-DA4
            gbDA2.Enabled  := False;  // Disable ch 4-7
            gbDA34.Enabled := False;  // Disable ch 8-15
            wTotalChannels := 4;

            gbDA1.Caption  := ' Enabled ';
            gbDA2.Caption  := ' Disabled ';
            gbDA3.Caption  := ' Disabled ';
            gbDA4.Caption  := ' Disabled ';
        end;
     1: begin                         // PIO-DA8
            gbDA2.Enabled  := True;   // Enable  ch 4-7
            gbDA34.Enabled := False;  // Disable ch 8-15
            wTotalChannels := 8;

            gbDA1.Caption  := ' Enabled ';
            gbDA2.Caption  := ' Enabled ';
            gbDA3.Caption  := ' Disabled ';
            gbDA4.Caption  := ' Disabled ';
        end;
     2: begin                         // PIO-DA16
            gbDA2.Enabled  := True;   // Enable ch 4-7
            gbDA34.Enabled := True;   // Enable ch 8-15
            wTotalChannels := 16;

            gbDA1.Caption  := ' Enabled ';
            gbDA2.Caption  := ' Enabled ';
            gbDA3.Caption  := ' Enabled ';
            gbDA4.Caption  := ' Enabled ';
        end;
     end;
end;


procedure TForm1.Timer1Timer(Sender: TObject);
var
    fVal   : Single;
    i      : integer;
    j      : LongInt;
    sCName : String;
    pe     : TEdit;
    ps     : TShape;
    pcb    : TComboBox;
    wRtn   : Integer;
begin
    if bProcessing then
        exit
    else
        bProcessing := True;

    for i:=0 to wTotalChannels -1 do
    begin
       // Get the Output value
       sCName := 'eOut' + IntToStr(i);
       pe     := FindComponent( sCName ) As TEdit;
       try
           fVal     := StrToFloat( pe.Text );
           pe.Color := clLime;
       except
           fVal     := 0;
           pe.Color := clAqua;
       end;

       // Get the method : Voltage or Current output
       sCName := 'cbVolCur' + IntToStr(i);
       pcb    := FindComponent( sCName ) As TComboBox;

       if pcb.ItemIndex = 0 then         // Voltage Output
          wRtn := PIODA_CalVoltage(wSelectBoard, Word(i), fVal)
       else                              // Current Output
          wRtn := PIODA_CalCurrent(wSelectBoard,Word(i),fVal);

       if wRtn <> 0 then
       begin
           pe.Text  := 'Err';
           pe.Color := clAqua;
       end;

    end;

    // Digital Input
    PIODA_Di(wSelectBoard, j);

    For I := 0 To 15 do
    begin
        if ( J and (1 shl i)) <> 0 then
        begin
            ps := FindComponent('PSp' + IntToHex(i,1)) As TShape;
            ps.Brush.Color := clRed;
        end
        else
        begin
            ps := FindComponent('PSp' + IntToHex(i,1)) As TShape;
            ps.Brush.Color := clBlack;
        end;
    end;
    bProcessing := False;
    Application.ProcessMessages();
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
    if (Sender As TCheckBox).Checked then
       wSet := wSet or (1 shl (Sender As TCheckBox).Tag)
    else
        wSet := wSet and (Not(1 shl (Sender As TCheckBox).Tag));
    PIODA_Do(wSelectBoard , wSet);
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
     Close();
end;

procedure TForm1.Active1Click(Sender: TObject);
begin
    if Active1.Caption = 'Stop' then
    begin
         Active1.Caption    := 'Active';
         Exit1.Enabled    := True;
         gbDO.Enabled       := False;
         Timer1.Enabled     := False;
         cbCardType.Enabled := True;
         exit;
    end;

    wSelectBoard := StrToInt( eSelectBoard.Text );

    Active1.Caption    := 'Stop';
    Exit1.Enabled      := False;
    gbDO.Enabled       := True;
    bProcessing        := False;
    Timer1.Enabled     := True;
    cbCardType.Enabled := False;

    CheckBox1Click( CheckBox1 );
    CheckBox1Click( CheckBox1 );

end;

procedure TForm1.WriteToFile1Click(Sender: TObject);
var
  F       : TextFile;
  i       : integer;
  j, k    : WORD;
  Val     : Word;
  s       : String;
begin
     wSelectBoard := StrToInt( eSelectBoard.Text );

     SaveDialog1.FileName := 'PIODA.EEP';
     if SaveDialog1.Execute() then
     begin
          AssignFile(F, SaveDialog1.FileName);
          Rewrite( F );

          for i := 0 to 63 do
          begin
               PIODA_EEP_READ(wSelectBoard, i, j, k);
               Val := (j shl 8) + k;
               s := '     ' + LowerCase(IntToHex(Val, 1));
               s := copy(s, length(s) -4, 5 );
               Write(F, s );
               if i mod 8 = 7 then Write(F, #10 );
          end;

          WriteLn(F,'========================================');
          Write(F,'File name : ' + SaveDialog1.FileName);

          CloseFile( F );
     end;
end;

procedure TForm1.RestoreFromFile1Click(Sender: TObject);
var
  F       : TextFile;
  i       : integer;
  j, k    : BYTE;
  Val     : Word;
  ch      : char;
  s       : String[5];
begin
     wSelectBoard := StrToInt( eSelectBoard.Text );

     // Warning
     if Application.MessageBox( 'Warning!! Warning!! '
        + #13 + #13 + 'The wrong/invalid value may causes the PIO-DA card to stop work!!'
        + #13 + #13 + 'Are you soure you want to restore the EEPROM''s value from file?',
        'Restore EEPROM''s value from file.', MB_YesNo ) = IDNO  then
        exit;

     // Enable to write to EEPROM
     PIODA_EEP_WR_EN( wSelectBoard );

     // Select an file to open
     OpenDialog1.FileName := 'PIODA.EEP';
     if OpenDialog1.Execute() then
     begin
          AssignFile(F, OpenDialog1.FileName);
          Reset( F );
          if Eof( F ) then
          begin
             ShowMessage( 'File Open Error!!' );
             // Disable to write to EEPROM
             PIODA_EEP_WR_DIS( wSelectBoard );
             exit;
          end;

          for i := 0 to 63 do  // Total 64 data
          begin
               Read(F, s  );   // Read the Hex value ( 5 Bytes )
               try
                  s := '$' + TrimLeft(String(s));
                  Val := StrToInt(s);
               except
                  ShowMessage('Invalid Value from the file!!'
                             + #13 + 'Item No.:   ' + IntToStr(i)
                             + #13 + 'Item Value: ' + s + ' ($=Hex)' );
                  CloseFile( F );
                  // Disable to write to EEPROM
                  PIODA_EEP_WR_DIS( wSelectBoard );
                  exit;
               end;

               // Write to EEPROM
               k := Val and $FF;
               j := (Val shr 8) and $FF;
               if PIODA_EEP_WRITE(wSelectBoard, i, j, k) <> 0 then
               begin
                  ShowMessage( 'EEPROM writing Error!!' );
                  CloseFile(F);
                  // Disable to write to EEPROM
                  PIODA_EEP_WR_DIS( wSelectBoard );
                  exit;
               end;

               if i mod 8 = 7 then
               begin
                  ch := #0;
                  while ( ch <> #10 ) do
                        Read(F, ch);
               end;
          end;

          CloseFile( F );
          // Disable to write to EEPROM
          PIODA_EEP_WR_DIS( wSelectBoard );

          ShowMessage( 'Restore the EEPROM data from file OK!!' );

          // Restart the program to reload the EEPROM data
          // or call the PIODA_SearchCard() function again to reload the EEPROM data
          wRtn := PIODA_SearchCard( wTotalBoards, PIO_DA );
          if ( wRtn <> PIODA_NoError ) then
          begin
              ShowMessage( 'Search Card Error!!' + #13 + 'Error Code:' + IntToStr(wRtn) );
              Active1.Enabled := False;
          end;
     end;
end;

end.
