VERSION 5.00
Begin VB.Form Form1 
   BackColor       =   &H00808000&
   Caption         =   "DI/DO Demo"
   ClientHeight    =   3996
   ClientLeft      =   3240
   ClientTop       =   2328
   ClientWidth     =   4740
   LinkTopic       =   "Form1"
   ScaleHeight     =   3996
   ScaleWidth      =   4740
   Begin VB.VScrollBar VScroll1 
      Height          =   372
      Left            =   4200
      TabIndex        =   5
      Top             =   120
      Width           =   252
   End
   Begin VB.TextBox eSelectBoard 
      Alignment       =   1  'Right Justify
      BackColor       =   &H00C0FFC0&
      Height          =   372
      Left            =   3720
      TabIndex        =   4
      Text            =   "0"
      Top             =   120
      Width           =   492
   End
   Begin VB.TextBox eTotalBoards 
      Alignment       =   1  'Right Justify
      BackColor       =   &H00C0FFFF&
      Enabled         =   0   'False
      Height          =   288
      Left            =   1320
      TabIndex        =   3
      Text            =   "0"
      Top             =   120
      Width           =   612
   End
   Begin VB.ListBox List1 
      BackColor       =   &H0080FFFF&
      Height          =   2736
      ItemData        =   "Form1.frx":0000
      Left            =   240
      List            =   "Form1.frx":0007
      TabIndex        =   2
      Top             =   600
      Width           =   4332
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Active"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   240
      TabIndex        =   1
      Top             =   3480
      Width           =   1332
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Exit"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   10.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   3240
      TabIndex        =   0
      Top             =   3480
      Width           =   1332
   End
   Begin VB.Label Label1 
      BackColor       =   &H00808000&
      Caption         =   "Total Boards : "
      ForeColor       =   &H00FFFFFF&
      Height          =   252
      Left            =   240
      TabIndex        =   7
      Top             =   120
      Width           =   1092
   End
   Begin VB.Label Label14 
      BackColor       =   &H00808000&
      Caption         =   "Active Board"
      ForeColor       =   &H00FFFFFF&
      Height          =   252
      Left            =   2640
      TabIndex        =   6
      Top             =   120
      Width           =   972
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim wInitialCode As Integer
Dim wRtn As Integer
Dim wSet As Integer, wTotalBoards As Integer
Dim wSelectBoard As Integer

Private Sub Command1_Click()
    PIODA_DriverClose
    End
End Sub

Private Sub Command2_Click()
     Dim j1 As Long, j2 As Long
     Dim i As Integer

     wSelectBoard = Val(eSelectBoard.Text)
     
     List1.Clear

     For i = 0 To 15
         List1.AddItem ""
         j1 = 1 * (2 ^ i)
         List1.AddItem "Digital Output = &h" + Hex(j1)
         PIODA_DO wSelectBoard, j1
         PIODA_DI wSelectBoard, j2
         List1.AddItem "Digital Input = &h" + Hex(j2)
     Next
     
     List1.AddItem ""
     j1 = 0
     List1.AddItem "Digital Output = &h" + Hex(j1)
     PIODA_DO wSelectBoard, j1
     PIODA_DI wSelectBoard, j2
     List1.AddItem "Digital Input = &h" + Hex(j2)
     
     List1.AddItem ""
     j1 = &H5555&
     List1.AddItem "Digital Output = &h" + Hex(j1)
     PIODA_DO wSelectBoard, j1
     PIODA_DI wSelectBoard, j2
     List1.AddItem "Digital Input = &h" + Hex(j2)
     
     List1.AddItem ""
     j1 = &HAAAA&
     List1.AddItem "Digital Output = &h" + Hex(j1)
     PIODA_DO wSelectBoard, j1
     PIODA_DI wSelectBoard, j2
     List1.AddItem "Digital Input = &h" + Hex(j2)
     
     List1.AddItem ""
     j1 = &HFFFF&
     List1.AddItem "Digital Output = &h" + Hex(j1)
     PIODA_DO wSelectBoard, j1
     PIODA_DI wSelectBoard, j2
     List1.AddItem "Digital Input = &h" + Hex(j2)
     
End Sub

Private Sub Form_Load()
    Move (Screen.Width - Width) \ 2, (Screen.Height - Height) \ 2
    
    '********************************************************************
    '* NOTICE: call PIODA_DriverInit() to initialize the driver.        *
    '* Initial the device driver, and return the board number in the PC *
    '********************************************************************
    wInitialCode = PIODA_DriverInit()
    wTotalBoards = 0
    Command2.Caption = "Active"
    If wInitialCode <> PIODA_NoError Then
        wRtn = MsgBox("Driver Open Error !!!")
        Command2.Enabled = False
        Exit Sub
    Else
        Command2.Enabled = True
    End If
   
    wRtn = PIODA_SearchCard(wTotalBoards, PIO_DA)
    If (wRtn <> PIODA_NoError) Then
        MsgBox ("Search Card Error!!" + Chr(13) + "Error Code:" + Str(wRtn))
        Command2.Enabled = False
    End If
    
    eTotalBoards.Text = wTotalBoards
    VScroll1.Min = wTotalBoards - 1
    VScroll1.Max = 0
    VScroll1.Value = 0
   
End Sub

Private Sub VScroll1_Change()
    eSelectBoard.Text = Str(VScroll1.Value)
End Sub
