
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, OleCtrls, PIODAXLib_TLB;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ListBox1: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    eTotalBoards: TEdit;
    eSelectBoard: TEdit;
    UpDown1: TUpDown;
    PIODAX1: TPIODAX;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure PIODAX1Error(Sender: TObject; lErrorCode: Smallint);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

Var
    wTotalBoards        : Word;
    wSelectBoard        : Word;

procedure TForm1.Button1Click(Sender: TObject);
var
    j : LongInt;
begin

    wSelectBoard := StrToInt( eSelectBoard.Text );
     piodax1.ActiveBoard :=wSelectBoard;
    ListBox1.Items.Clear();

    ListBox1.Items.Add( '' );
    ListBox1.Items.Add( 'Output $0000 to DigitalOut' );
    PIODAX1.DigitalOut($0);
    j:=PIODAX1.DigitalIn();
    ListBox1.Items.Add( 'Input from DigitalIn = $' + IntToHex(j,4));

    ListBox1.Items.Add( '' );
    ListBox1.Items.Add( 'Output $FFFF to DigitalOut' );
    PIODAX1.DigitalOut( $FFFF);
    j:=PIODAX1.DigitalIn();
    ListBox1.Items.Add( 'Input from DigitalIn = $' + IntToHex(j,4));

    ListBox1.Items.Add( '' );
    ListBox1.Items.Add( 'Output $AAAA to DigitalOut' );
    PIODAX1.DigitalOut( $AAAA);
    j:=PIODAX1.DigitalIn();
    ListBox1.Items.Add( 'Input from DigitalIn = $' + IntToHex(j,4));

    ListBox1.Items.Add( '' );
    ListBox1.Items.Add( 'Output $5555 to DigitalOut' );
    PIODAX1.DigitalOut( $5555);
    j:=PIODAX1.DigitalIn();
    ListBox1.Items.Add( 'Input from DigitalIn = $' + IntToHex(j,4));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     Close();
end;

procedure TForm1.FormCreate(Sender: TObject);
begin

    wTotalBoards :=PIODAX1.DriverInit();
    Button1.Caption := 'Active';
    Button1.Enabled := True;


    eSelectBoard.Text := '0';
    eTotalBoards.Text := IntToStr(wTotalBoards);
    Updown1.Max := wTotalBoards - 1;
    Updown1.Min := 0;

end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     PIODAx1.DriverClose();
end;


procedure TForm1.PIODAX1Error(Sender: TObject; lErrorCode: Smallint);
begin
ShowMessage('Error Code:' + IntToStr(lErrorCode)+#13+ 'Error Message :' + PIODAX1.ErrorString);
end;

end.
