VERSION 5.00
Object = "{40680883-AFA6-11D6-B745-0050BACCDC45}#1.0#0"; "piodax.ocx"
Begin VB.Form Form1 
   BackColor       =   &H00808000&
   Caption         =   "PIO-DA16/DA8/DA4 DA Demo WithCal"
   ClientHeight    =   2904
   ClientLeft      =   3252
   ClientTop       =   2328
   ClientWidth     =   4176
   LinkTopic       =   "Form1"
   ScaleHeight     =   2904
   ScaleWidth      =   4176
   Begin PIODAXLib.PIODAX PIODAX1 
      Left            =   1800
      Top             =   2400
      _Version        =   65536
      _ExtentX        =   661
      _ExtentY        =   661
      _StockProps     =   0
   End
   Begin VB.Frame Frame2 
      BackColor       =   &H000080FF&
      Caption         =   " Analog Output Setting "
      Height          =   2172
      Left            =   2040
      TabIndex        =   10
      Top             =   120
      Width           =   1932
      Begin VB.TextBox eOut 
         Alignment       =   1  'Right Justify
         BackColor       =   &H0080FF80&
         Height          =   288
         Left            =   240
         TabIndex        =   13
         Text            =   "2.5"
         Top             =   1530
         Width           =   612
      End
      Begin VB.ComboBox cbVoltCur 
         BackColor       =   &H0080FF80&
         Height          =   315
         ItemData        =   "Form1.frx":0000
         Left            =   240
         List            =   "Form1.frx":000A
         Style           =   2  'Dropdown List
         TabIndex        =   11
         Top             =   720
         Width           =   1572
      End
      Begin VB.Label lDesc 
         BackColor       =   &H000080FF&
         Caption         =   "(+/- 10v)"
         ForeColor       =   &H00FFFFFF&
         Height          =   255
         Left            =   1080
         TabIndex        =   15
         Top             =   1560
         Width           =   735
      End
      Begin VB.Label Label5 
         BackColor       =   &H000080FF&
         Caption         =   "Output Value"
         ForeColor       =   &H00FFFFFF&
         Height          =   255
         Left            =   240
         TabIndex        =   14
         Top             =   1320
         Width           =   975
      End
      Begin VB.Label Label4 
         BackColor       =   &H000080FF&
         Caption         =   "Voltage/Current"
         ForeColor       =   &H00FFFFFF&
         Height          =   255
         Left            =   240
         TabIndex        =   12
         Top             =   480
         Width           =   1215
      End
   End
   Begin VB.Frame Frame1 
      BackColor       =   &H00FF80FF&
      Caption         =   " Hardware Setting "
      Height          =   2172
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   1812
      Begin VB.ComboBox cbCardType 
         BackColor       =   &H0080FF80&
         Height          =   288
         ItemData        =   "Form1.frx":0026
         Left            =   120
         List            =   "Form1.frx":0033
         Style           =   2  'Dropdown List
         TabIndex        =   8
         Top             =   1800
         Width           =   1572
      End
      Begin VB.TextBox eSelectBoard 
         Alignment       =   1  'Right Justify
         BackColor       =   &H0080FF80&
         Height          =   372
         Left            =   120
         TabIndex        =   6
         Text            =   "0"
         Top             =   1080
         Width           =   852
      End
      Begin VB.VScrollBar VScroll1 
         Height          =   372
         Left            =   960
         TabIndex        =   5
         Top             =   1080
         Width           =   252
      End
      Begin VB.TextBox eTotalBoards 
         Alignment       =   1  'Right Justify
         BackColor       =   &H00C0FFFF&
         Enabled         =   0   'False
         Height          =   288
         Left            =   120
         TabIndex        =   3
         Text            =   "0"
         Top             =   480
         Width           =   852
      End
      Begin VB.Label Label2 
         BackColor       =   &H00FF80FF&
         Caption         =   "Card Type Setting "
         ForeColor       =   &H00FFFFFF&
         Height          =   252
         Left            =   120
         TabIndex        =   9
         Top             =   1560
         Width           =   1332
      End
      Begin VB.Label Label14 
         BackColor       =   &H00FF80FF&
         Caption         =   "Active Board"
         ForeColor       =   &H00FFFFFF&
         Height          =   252
         Left            =   120
         TabIndex        =   7
         Top             =   840
         Width           =   972
      End
      Begin VB.Label Label1 
         BackColor       =   &H00FF80FF&
         Caption         =   "Total Boards : "
         ForeColor       =   &H00FFFFFF&
         Height          =   252
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Width           =   1092
      End
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Active"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   360
      TabIndex        =   1
      Top             =   2400
      Width           =   1332
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Exit"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   10.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   2280
      TabIndex        =   0
      Top             =   2400
      Width           =   1332
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim wInitialCode As Integer
Dim wRtn As Integer
Dim wSet As Integer, wTotalBoards As Integer
Dim wSelectBoard As Integer

Private Sub cbVoltCur_Click()
     If cbVoltCur.ListIndex = 0 Then
          lDesc.Caption = "(+/- 10v)"
     Else
          lDesc.Caption = "(0~20mA)"
     End If
End Sub

Private Sub Command1_Click()
    PIODAX1.DriverClose
    End
End Sub

Private Sub Command2_Click()
     Dim j As Long
     Dim i As Integer, wTtlChs As Integer
     Dim fVal As Single

     wSelectBoard = Val(eSelectBoard.Text)
     If cbCardType.ListIndex = 0 Then wTtlChs = 4  ' PIO-DA4
     If cbCardType.ListIndex = 1 Then wTtlChs = 8  ' PIO-DA8
     If cbCardType.ListIndex = 2 Then wTtlChs = 16 ' PIO-DA16
    
     fVal = Val(eOut.Text)
     For i = 0 To wTtlChs - 1 ' Every Channels
           If cbVoltCur.ListIndex = 0 Then    ' 0: Voltage Output
               PIODAX1.OutCalVoltage i, fVal
           Else                               ' 1: Current Output
               PIODAX1.OutCalCurrent i, fVal
           End If
      
     Next
End Sub

Private Sub Form_Load()
    Move (Screen.Width - Width) \ 2, (Screen.Height - Height) \ 2
    
    '********************************************************************
    '* NOTICE: call PIODA_DriverInit() to initialize the driver.        *
    '* Initial the device driver, and return the board number in the PC *
    '********************************************************************
    wTotalBoards = 0
    Command2.Caption = "Output"
    cbCardType.ListIndex = 2     ' 2:PIO-DA16

    cbVoltCur.ListIndex = 0      ' 0:Voltage Output
    wTotalBoards = PIODAX1.DriverInit
   

    
    
    eTotalBoards.Text = wTotalBoards
    VScroll1.Min = wTotalBoards - 1
    VScroll1.Max = 0
    VScroll1.Value = 0
   
End Sub

Private Sub PIODAX1_OnError(ByVal lErrorCode As Integer)
MsgBox "Error Code:" + Str(lErrorCode) + Chr(13) + "Error Message : " + PIODAX1.ErrorString
End Sub

Private Sub VScroll1_Change()
    eSelectBoard.Text = Str(VScroll1.Value)
End Sub

